$packageName = 'dart-sdk'

$url = 'https://storage.googleapis.com/dart-archive/channels/dev/release/2.8.0-dev.12.0/sdk/dartsdk-windows-ia32-release.zip'
$url64 = 'https://storage.googleapis.com/dart-archive/channels/dev/release/2.8.0-dev.12.0/sdk/dartsdk-windows-x64-release.zip'

$unzipLocation = Get-BinRoot
$installDir = Join-Path $unzipLocation "dart-sdk"

Install-ChocolateyPath "$installDir\bin"
Install-ChocolateyPath "${env:USERPROFILE}\AppData\Roaming\Pub\Cache\bin"
$env:Path = "$($env:Path);$installDir\bin;${env:USERPROFILE}\AppData\Roaming\Pub\Cache\bin"

if (test-path $installDir) {
	Remove-Item $installDir -Recurse -Force
}

$packageArgs = @{
  packageName    = $packageName
  url            = $url
  url64bit       = $url64
  unzipLocation  = $unzipLocation
  checksum       = '88608f6037984a484b9cfa26a4e02ad51422e84b2d842ced447e93f61ae59a8f'
  checksumType   = 'sha256'
  checksum64     = '588fae864e252622dcf9f87981435d3066890427a6c36a700dbe07310fa7ba62'
  checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
